Bug 1272 - snort - wrong permissions on log dir
: snort - wrong permissions on log dir
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/snort)
: unstable
: all Linux
: P4 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-09-17 12:11 by
Modified: 2006-12-01 13:58 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-09-17 12:11:50
Каталог /var/log/snort должен принадлежать пользователю snort, иначе демон не
запускается. Режим доступа на него, IMHO, можно сделать и построже, например,
700.
---

---
------- Comment #1 From 2002-09-17 13:00:35 -------
Понятия не имею, работает snort или нет, но /var/log/snort не может
принадлежать пользователю snort по SPP.
------- Comment #2 From 2002-09-17 13:00:35 -------
Понятия не имею, работает snort или нет, но /var/log/snort не может
принадлежать пользователю snort по SPP.
------- Comment #3 From 2002-09-17 14:33:31 -------
После смены владельца /var/log/snort на snort демон работает. Про то, что это
не правильно, понял :)
------- Comment #4 From 2002-09-17 14:33:31 -------
После смены владельца /var/log/snort на snort демон работает. Про то, что это
не правильно, понял :)
------- Comment #5 From 2004-08-27 04:44:37 -------
I think that this should work fine (please notify me, if not!):
$ chown root:snort /var/log/snort
$ chmod 1770 /var/log/snort
I plan to deliver this fix as part of Snort-2.2.0-alt2 in few days.
------- Comment #6 From 2006-12-01 13:57:18 -------
reopen
------- Comment #7 From 2006-12-01 13:58:00 -------
2.4.5-alt2:
drwxrwx--T    2 root    snort               0 Jun 23 13:32 /var/log/snort

apparently fixed